From: "Jeroen Roovers" <jer@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/libnl/
Date: Sat, 31 Dec 2016 00:01:24 +0000 (UTC) [thread overview]
Message-ID: <1483142307.6ec855f09fd7810b8c0d32dcdc7082d5d1b5c7f7.jer@gentoo> (raw)
commit: 6ec855f09fd7810b8c0d32dcdc7082d5d1b5c7f7
Author: Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Fri Dec 30 23:58:27 2016 +0000
Commit: Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Fri Dec 30 23:58:27 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6ec855f0
dev-libs/libnl: Version bump.
Package-Manager: Portage-2.3.3, Repoman-2.3.1
dev-libs/libnl/Manifest | 1 +
dev-libs/libnl/libnl-3.2.29.ebuild | 115 +++++++++++++++++++++++++++++++++++++
2 files changed, 116 insertions(+)
diff --git a/dev-libs/libnl/Manifest b/dev-libs/libnl/Manifest
index 7f7b430..d8d6b1f 100644
--- a/dev-libs/libnl/Manifest
+++ b/dev-libs/libnl/Manifest
@@ -2,3 +2,4 @@ DIST libnl-1.1.4.tar.gz 1174974 SHA256 4f80c21fe5bbcdde6e72b59b4f98306063a41421f
DIST libnl-3.2.27.tar.gz 905330 SHA256 4bbbf92b3c78a90f423cf96260bf419a28b75db8cced47051217a56795f58ec6 SHA512 f66d1c42eef75f6a1008abd6850f00abb0290d49bb685b4df43464c4dbf57d68fd4551f2a77bb2f375fd0a342b73cfd54d17c791f01ea43ce02683c8703e3a33 WHIRLPOOL 0bf32ca28b1f858caf99cb633ae4c3b863e53f8cb4b3b1703b454117e2eea2563d34b08c4ac920afb63e45c4717ba7628730a428df76f56818fe10cf336c4185
DIST libnl-3.2.28.tar.gz 941954 SHA256 cd608992c656e8f6e3ab6c1391b162a5a51c49336b9219f7f390e61fc5437c41 SHA512 b5f145ecafb2625ed1c42594afd6063f112a601077de5c35884b3c3bc8c562b29b52a006ccebd795c127fe69692a82def425c8605afed7e6d441582943e803d9 WHIRLPOOL ff49346ddc31105a300ebffc0e4d4956ac85ade5e92e884c62e696d7d4234d40e63cf4839e6b6fd2d98d2122662d36d3f41666391686a83c8bf966e53e22ed25
DIST libnl-3.2.29-rc1.tar.gz 963474 SHA256 97f75893b1268471ecf04acb23fe15a70e75827239863900254eb17aad733504 SHA512 8b00896452feba58748aaba5e84dc0b79f336fb1aaf3f309f619d5567c30c81dc6a00cb81003c30f3633bdaffaf39371a9833cca5fa3402f754c5509a4d4b52f WHIRLPOOL c8d1a25bdf665f67d219b515e7d2be8fff2e114575bf911f2a7f4295351d9095193d65b6cc79a7898d365d0dc1ec13098d9ee9476ae8b1c2e0b841f18541f6e0
+DIST libnl-3.2.29.tar.gz 963681 SHA256 0beb593dc6abfffa18a5c787b27884979c1b7e7f1fd468c801e3cc938a685922 SHA512 45e22b02368c479e01db7160345a0d3c73abf345e7b49bf350811243a17f307f5c6c3df639ec1e0c456707578aca8d69aad8afa697ac21449f521a3e39712670 WHIRLPOOL 1273dcaee79ecfdca947110c5e7ff70947703b1b0fda43fdb7c74edd78c6938f675e9a586aaff8feefce56a1f3137cbc50d3626ac336e6afa2ca8cbd8627e6eb
diff --git a/dev-libs/libnl/libnl-3.2.29.ebuild b/dev-libs/libnl/libnl-3.2.29.ebuild
new file mode 100644
index 00000000..5c5c565
--- /dev/null
+++ b/dev-libs/libnl/libnl-3.2.29.ebuild
@@ -0,0 +1,115 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 python3_{4,5} )
+DISTUTILS_OPTIONAL=1
+inherit distutils-r1 eutils libtool multilib multilib-minimal
+
+LIBNL_P=${P/_/-}
+LIBNL_DIR=${PV/_/}
+LIBNL_DIR=${LIBNL_DIR//./_}
+
+DESCRIPTION="Libraries providing APIs to netlink protocol based Linux kernel interfaces"
+HOMEPAGE="http://www.infradead.org/~tgr/libnl/ https://github.com/thom311/libnl"
+SRC_URI="
+ https://github.com/thom311/${PN}/releases/download/${PN}${LIBNL_DIR}/${P/_rc/-rc}.tar.gz
+"
+LICENSE="LGPL-2.1 utils? ( GPL-2 )"
+SLOT="3"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-linux ~ia64-linux ~x86-linux"
+IUSE="static-libs python utils"
+
+RDEPEND="
+ python? ( ${PYTHON_DEPS} )
+ abi_x86_32? (
+ !<=app-emulation/emul-linux-x86-baselibs-20140508-r5
+ !app-emulation/emul-linux-x86-baselibs[-abi_x86_32(-)]
+ )
+"
+DEPEND="
+ ${RDEPEND}
+ python? ( dev-lang/swig )
+ sys-devel/bison
+ sys-devel/flex
+"
+
+REQUIRED_USE="
+ python? ( ${PYTHON_REQUIRED_USE} )
+"
+
+DOCS=(
+ ChangeLog
+)
+
+S=${WORKDIR}/${LIBNL_P}
+
+MULTILIB_WRAPPED_HEADERS=(
+ # we do not install CLI stuff for non-native
+ /usr/include/libnl3/netlink/cli/addr.h
+ /usr/include/libnl3/netlink/cli/class.h
+ /usr/include/libnl3/netlink/cli/cls.h
+ /usr/include/libnl3/netlink/cli/ct.h
+ /usr/include/libnl3/netlink/cli/exp.h
+ /usr/include/libnl3/netlink/cli/link.h
+ /usr/include/libnl3/netlink/cli/neigh.h
+ /usr/include/libnl3/netlink/cli/qdisc.h
+ /usr/include/libnl3/netlink/cli/route.h
+ /usr/include/libnl3/netlink/cli/rule.h
+ /usr/include/libnl3/netlink/cli/tc.h
+ /usr/include/libnl3/netlink/cli/utils.h
+)
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-1.1-vlan-header.patch
+ "${FILESDIR}"/${PN}-3.2.20-rtnl_tc_get_ops.patch
+ "${FILESDIR}"/${PN}-3.2.20-cache-api.patch
+)
+
+src_prepare() {
+ default
+
+ elibtoolize
+
+ if use python; then
+ cd "${S}"/python || die
+ distutils-r1_src_prepare
+ fi
+
+ # out-of-source build broken
+ # https://github.com/thom311/libnl/pull/58
+ multilib_copy_sources
+}
+
+multilib_src_configure() {
+ econf \
+ --disable-silent-rules \
+ $(use_enable static-libs static) \
+ $(multilib_native_use_enable utils cli)
+}
+
+multilib_src_compile() {
+ default
+
+ if multilib_is_native_abi && use python; then
+ cd python || die
+ distutils-r1_src_compile
+ fi
+}
+
+multilib_src_install() {
+ emake DESTDIR="${D}" install
+
+ if multilib_is_native_abi && use python; then
+ # Unset DOCS= since distutils-r1.eclass interferes
+ local DOCS=()
+ cd python || die
+ distutils-r1_src_install
+ fi
+}
+
+multilib_src_install_all() {
+ einstalldocs
+ prune_libtool_files --modules
+}
next reply other threads:[~2016-12-31 0:01 UTC|newest]
Thread overview: 133+ messages / expand[flat|nested] mbox.gz Atom feed top
2016-12-31 0:01 Jeroen Roovers [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-05-10 0:53 [gentoo-commits] repo/gentoo:master commit in: dev-libs/libnl/ Sam James
2025-05-01 14:54 Sam James
2025-03-27 19:09 Sam James
2024-12-09 6:06 Arthur Zamarin
2024-10-03 16:11 Arthur Zamarin
2024-10-03 10:24 Sam James
2024-10-02 22:53 Sam James
2024-10-02 22:53 Sam James
2024-10-02 22:53 Sam James
2024-09-05 16:44 Sam James
2024-08-08 5:49 Viorel Munteanu
2024-07-24 7:19 Viorel Munteanu
2024-07-20 5:07 Sam James
2024-07-20 5:07 Sam James
2024-06-11 0:10 Sam James
2024-05-28 14:03 Sam James
2024-05-28 13:19 Sam James
2024-05-28 13:19 Sam James
2024-05-28 12:35 Sam James
2024-05-28 12:29 Michał Górny
2024-05-28 12:04 Michał Górny
2024-05-12 12:29 Conrad Kostecki
2023-12-04 12:38 Sam James
2023-10-01 18:23 Arthur Zamarin
2023-10-01 7:02 Sam James
2023-10-01 4:53 Sam James
2023-10-01 4:53 Sam James
2023-10-01 4:04 Sam James
2023-10-01 4:04 Sam James
2023-09-30 9:00 Sam James
2023-09-06 7:12 Joonas Niilola
2023-09-01 7:54 Sam James
2023-09-01 3:56 Sam James
2023-03-09 6:21 Sam James
2022-12-30 7:59 Sam James
2022-12-16 20:45 Arthur Zamarin
2022-12-16 20:45 Arthur Zamarin
2022-12-16 7:51 Sam James
2022-12-16 7:51 Sam James
2022-12-16 7:51 Sam James
2022-08-06 2:55 Sam James
2022-07-18 22:23 Sam James
2022-07-18 22:23 Sam James
2022-05-05 23:48 WANG Xuerui
2022-04-25 2:49 Sam James
2022-01-14 14:41 Arthur Zamarin
2021-12-24 8:02 Sam James
2021-12-08 16:02 David Seifert
2021-12-08 11:19 David Seifert
2021-09-21 12:31 James Le Cuirot
2021-09-21 12:31 James Le Cuirot
2021-03-14 20:47 Conrad Kostecki
2021-01-12 23:34 Sam James
2021-01-07 5:14 Sam James
2021-01-07 5:11 Sam James
2021-01-03 12:10 Sergei Trofimovich
2021-01-03 11:51 Sergei Trofimovich
2021-01-01 11:21 Sergei Trofimovich
2020-12-29 21:26 Sam James
2020-12-29 20:38 Sam James
2020-12-29 17:14 Sam James
2020-09-27 9:44 Jeroen Roovers
2020-09-26 21:34 Sergei Trofimovich
2020-09-24 6:46 Agostino Sarubbo
2020-09-23 10:32 Agostino Sarubbo
2020-09-23 10:31 Agostino Sarubbo
2020-09-23 10:29 Agostino Sarubbo
2020-09-23 10:24 Agostino Sarubbo
2020-09-20 21:52 Thomas Deutschmann
2020-09-20 2:40 Sam James
2020-06-21 11:42 Jeroen Roovers
2020-04-16 20:40 Mart Raudsepp
2020-02-11 12:16 Michał Górny
2019-12-30 12:03 Jeroen Roovers
2019-12-30 12:03 Jeroen Roovers
2019-12-04 16:37 Aaron Bauman
2019-10-14 8:53 Jeroen Roovers
2019-09-01 14:50 Jeroen Roovers
2019-06-16 10:53 David Seifert
2019-05-05 13:35 Mikle Kolyada
2018-07-20 9:57 Jeroen Roovers
2018-07-20 9:51 Jeroen Roovers
2018-07-11 13:21 Mikle Kolyada
2018-07-09 22:10 Mikle Kolyada
2018-06-28 12:31 Mart Raudsepp
2018-06-27 22:15 Sergei Trofimovich
2018-06-27 10:05 Tobias Klausmann
2018-06-25 6:21 Sergei Trofimovich
2018-06-24 19:41 Sergei Trofimovich
2018-06-24 12:05 Jeroen Roovers
2018-06-24 10:18 Sergei Trofimovich
2018-05-10 14:43 Jeroen Roovers
2018-05-10 13:15 Jeroen Roovers
2017-12-20 0:21 Jeroen Roovers
2017-12-20 0:21 Jeroen Roovers
2017-10-11 20:24 Jeroen Roovers
2017-10-11 20:24 Jeroen Roovers
2017-10-02 20:49 Jeroen Roovers
2017-09-21 9:17 Jeroen Roovers
2017-05-03 15:55 Jeroen Roovers
2017-03-07 7:45 Jeroen Roovers
2017-03-01 13:22 Michael Weber
2017-01-29 16:19 Fabian Groffen
2017-01-01 19:23 Jeroen Roovers
2016-12-31 1:00 Jeroen Roovers
2016-12-31 1:00 Jeroen Roovers
2016-12-31 0:01 Jeroen Roovers
2016-12-22 9:34 Agostino Sarubbo
2016-12-16 10:19 Tobias Klausmann
2016-12-15 17:38 Jeroen Roovers
2016-09-11 18:50 Jeroen Roovers
2016-09-11 18:50 Jeroen Roovers
2016-07-09 8:26 Jeroen Roovers
2016-06-30 19:24 Jeroen Roovers
2016-02-16 5:12 Jeroen Roovers
2016-01-11 9:07 Agostino Sarubbo
2016-01-09 6:43 Agostino Sarubbo
2015-12-26 10:36 Agostino Sarubbo
2015-12-25 16:20 Agostino Sarubbo
2015-12-19 22:08 Markus Meier
2015-12-19 12:51 Jeroen Roovers
2015-12-14 14:12 Agostino Sarubbo
2015-10-17 11:24 Jeroen Roovers
2015-09-28 3:10 Jeroen Roovers
2015-09-26 19:21 Jeroen Roovers
2015-09-24 7:59 Agostino Sarubbo
2015-09-21 11:27 Agostino Sarubbo
2015-09-02 19:47 Markus Meier
2015-09-01 4:38 Jeroen Roovers
2015-08-30 14:38 Tobias Klausmann
2015-08-26 10:43 Agostino Sarubbo
2015-08-22 5:08 Jeroen Roovers
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1483142307.6ec855f09fd7810b8c0d32dcdc7082d5d1b5c7f7.jer@gentoo \
--to=jer@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox